pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: devel/pango is broken

On Fri, Mar 18, 2011 at 04:54:23PM +0100, Charles Rapenne wrote:
> I did change the branch to 2010-Q4 and it works now. I was assuming it
> was on the latest branch available when using make pkgsrc-create.

You're not the first one to have been burned by this behavior. Sigh.

AFAIK, this make pkgsrc-create stuff uses a git mirror of pkgsrc and
defaults to whichever pkgsrc release was current when the DragonFly release
you're using was created.

The standard pkgsrc release/update mechanism is simpler and easier to use
IMHO. Just grab a tarball and cvs update when you feel the need.
At least, you're sure to know what you have installed.

Oh, and grabbing a tarball is _much_ faster than git repo cloning the pkgsrc

Francois Tigeot

Home | Main Index | Thread Index | Old Index